<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Wrapper State test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Wrapper State test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Verify that the wrapper is capable is generating a state file.</LI>	
        <LI>Verify that the state file can be used to complete the dataPipeline.</LI>	
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are exercised via a dataPipeline command.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>        
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/wrapperstate.tcl?rev=HEAD;content-type=text%2Fplain'>wrapperstate.tcl</a></font></li>
		</UL>
        </li><p>
        <li>S2 frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
	
        <B>Usage:</B> <CODE>wrapperstate.tcl [options] >& wrapperstate.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, lho, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            wrapperstate.tcl -s dev >& wrapperstate.log &
        </font></pre>
		<p>
		<H2>Test Validation:</H2>
        The script issues a dataPileine job to direct the wrapper to output a state file.
        After obtaining the state file, a second dataPipeline is submitted with the state file
        to direct the dataPipeline to complete processing.  The DSO <i>/ldas/lib/wrapperAPI/libstate.so</i>
        is used for testing so there are no products generated at the end. But this test
        demonstrates a state file from the wrapper is generated and ldas can accept the state file
        as input.<p>
       
		Expect 2 jobs to complete successfully:
        e.g. <pre><font color='green'>

        LDAS-DEV31915268
        Subject:
        LDAS-DEV31915268 state test
        Your results:
        LDAS-DEV31915268State.ilwd
        can be found at:
        /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31915268
        ...

        LDAS-DEV31915272
        Subject:
        LDAS-DEV31915272 state test
        LDAS-DEV31915272 produced no products
        ...
        </font></pre>
    </BODY>
</HTML>

